#!/usr/bin/env python3
import serial
import datetime
import calendar
from datetime import date


if __name__ == '__main__':
    ser = serial.Serial('/dev/ttyACM0', 9600, timeout=2)
    ser.flush()

    f = open("./usb/data", "a");
    
    while True:
        if ser.in_waiting > 0:
            line = ser.readline().decode('utf-8').rstrip()
            if line == "getHour":
                now = datetime.datetime.now().strftime("%H:%M")
                ser.write(bytes(str(now), 'utf-8'))
            if line == "getDate":
                ser.write(bytes(str(datetime.datetime.now().date().strftime('%d-%m-%Y')) , 'utf-8'))
            if line == "getWeekday":
                todayDate = date.today()
                ser.write(bytes(str(str(calendar.day_name[todayDate.weekday()])[0:3]), 'utf-8'))
            if line == "flush":
                temperature = ser.readline().decode('utf-8').rstrip()
                humidity = ser.readline().decode('utf-8').rstrip()
                heatIndex = ser.readline().decode('utf-8').rstrip()
                airQuality = ser.readline().decode('utf-8').rstrip()
                airQualityPercentage = ser.readline().decode('utf-8').rstrip()
                lightIntensity = ser.readline().decode('utf-8').rstrip()
                gasValue = ser.readline().decode('utf-8').rstrip()
                motion = ser.readline().decode('utf-8').rstrip()
                sound = ser.readline().decode('utf-8').rstrip()
                newline = "\n"
                space = " "
            
                x = datetime.datetime.now(); 
                f.write("[ " + str(x) + space);
                f.write(temperature + space);
                f.write(humidity + space);
                f.write(heatIndex + space);
                f.write(airQuality + space);
                f.write(airQualityPercentage + space);
                f.write(lightIntensity + space);
                f.write(gasValue + space);
                f.write(motion + space);
                f.write(sound + space);
                f.write("]" + newline);
                f.flush();
